net.snowflake.client.loader

## Enum BufferStage.State

- java.lang.Object
- - java.lang.Enum<BufferStage.State>
  - - net.snowflake.client.loader.BufferStage.State

All Implemented Interfaces:
  Serializable, Comparable<BufferStage.State>

Enclosing class:
  BufferStage

    public static enum BufferStage.State
    extends Enum<BufferStage.State>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLEANED`
`CREATED`
`EMPTY`
`ERROR`
`LOADED`
`LOADING`
`PROCESSED`
`REMOVED`
`UPLOADED`
`VALIDATED`
`VALIDATED_CLEANED`

### Method Summary

All Methods Static Methods Concrete Methods
`static BufferStage.State` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BufferStage.State[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CREATED

    public static final BufferStage.State CREATED

#### LOADING

    public static final BufferStage.State LOADING

#### LOADED

    public static final BufferStage.State LOADED

#### EMPTY

    public static final BufferStage.State EMPTY

#### UPLOADED

    public static final BufferStage.State UPLOADED

#### VALIDATED

    public static final BufferStage.State VALIDATED

#### VALIDATED_CLEANED

    public static final BufferStage.State VALIDATED_CLEANED

#### ERROR

    public static final BufferStage.State ERROR

#### PROCESSED

    public static final BufferStage.State PROCESSED

#### CLEANED

    public static final BufferStage.State CLEANED

#### REMOVED

    public static final BufferStage.State REMOVED

### Method Detail

#### values

    public static BufferStage.State[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (BufferStage.State c : BufferStage.State.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static BufferStage.State valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null